// ----------------------------------
// Filename      : ViewportPoint.java
// Created       : 02/11/1999
// Last modified : 27/12/1999
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.engine3d;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class ViewportPoint
{
  // the cartesian-coordinates
  public int fX;
  public int fY;

  public ViewportPoint()
  {
    set(0,0);
  }

  public ViewportPoint(int x, int y)
  {
    set(x,y);
  }

  public void set(int x, int y)
  {
    fX = x;
    fY = y;
  }

  public void show()
  {
    System.out.println("(vpX,vpY) = (" + fX + "," + fY + ")");
  }
}
