// --------------------------------------
// Filename      : RoutingTableEntry.java
// Created       : 18/05/2000
// Last modified : 19/05/2000
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// --------------------------------------

package mitrasim.simulator;

import mitrasim.network.*;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class RoutingTableEntry
{
  public Node     fOriginNode;
  public Link     fNetworkEntranceLink;
  public int      fFlowRate;
  public int      fDistributionFactor;
  public int      fFleetMix;
  public int      fNrOfRoutes;
  public int[]    fPercentages;
  public Node[][] fRoutes;

  public RoutingTableEntry()
  {
    fOriginNode = null;
    fNetworkEntranceLink = null;
    fFlowRate = 0;
    fDistributionFactor = 0;
    fFleetMix = 0;
    fNrOfRoutes = 0;
    fPercentages = null;
    fRoutes = null;
  }
}
