// --------------------------------------
// Filename      : ViewSpecification.java
// Created       : 25/04/2000
// Last modified : 26/04/2000
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// --------------------------------------

package mitrasim.util;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class ViewSpecification
{
  public String  fName;
  public boolean fPerspectiveMode;
  public int     fViewPointX;
  public int     fViewPointY;
  public int     fViewPointZ;
  public int     fEyePointRho;
  public int     fEyePointPhi;
  public int     fEyePointTheta;
  public int     fBoundingBoxMinX;
  public int     fBoundingBoxMinY;
  public int     fBoundingBoxMaxX;
  public int     fBoundingBoxMaxY;
  public boolean fShowEnvironment;

  public ViewSpecification()
  {
    fName = "";
    fPerspectiveMode = true;
    fViewPointX = 0;
    fViewPointY = 0;
    fViewPointZ = 0;
    fEyePointRho = 0;
    fEyePointPhi = 0;
    fEyePointTheta = 0;
    fBoundingBoxMinX = 0;
    fBoundingBoxMinY = 0;
    fBoundingBoxMaxX = 0;
    fBoundingBoxMaxY = 0;
    fShowEnvironment = true;
  }
}
